automation-suite
2.2510
true
UiPath Automation Suite API ガイド
- スタート アップ ガイド
- 認証
- 範囲と権限
- プラットフォーム管理 API
重要 :
このコンテンツの一部は機械翻訳によって処理されており、完全な翻訳を保証するものではありません。
新しいコンテンツの翻訳は、およそ 1 ~ 2 週間で公開されます。
Identity API を使用して、Automation Suite 組織から特定の外部 OAuth クライアントを、最も古いシークレットのシークレット ID を含めて取得します。
組織から特定の外部クライアントを取得し、最も古いシークレットのシークレット ID を取得します。
API エンドポイント
GET https://{yourDomain}/{organizationName}/identity_/api/ExternalClient/{partitionGlobalId}
スコープ
次のスコープのいずれかが必要です。
PM.OAuthAppPM.OAuthApp.Read
要求ヘッダー
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
注:
{access_token}を取得するには、「認証方法」に記載されているいずれかの方法で認証を行ってください。
要求本文
要求本文には、外部クライアントを取得する組織 ID と、対応するクライアント ID が含まれます。
{
"partitionGlobalId": "<organizationId>"
"clientId": "<clientId>"
}
{
"partitionGlobalId": "<organizationId>"
"clientId": "<clientId>"
}
応答
200 サクセス
外部クライアントが正常に取得されました。
{
"name": "string",
"id": "string",
"secret": "string",
"isConfidential": true,
"redirectUri": "string",
"resources": [
{
"name": "string",
"displayName": "string",
"description": "string",
"scopes": [
{
"name": "string",
"displayName": "string",
"description": "string",
"type": "user"
}
]
}
],
"secrets": [
{
"id": 0,
"description": "string",
"secret": "string",
"creationTime": "2025-07-18T12:57:01.155Z",
"expiryTime": "2025-07-18T12:57:01.155Z"
}
]
}
{
"name": "string",
"id": "string",
"secret": "string",
"isConfidential": true,
"redirectUri": "string",
"resources": [
{
"name": "string",
"displayName": "string",
"description": "string",
"scopes": [
{
"name": "string",
"displayName": "string",
"description": "string",
"type": "user"
}
]
}
],
"secrets": [
{
"id": 0,
"description": "string",
"secret": "string",
"creationTime": "2025-07-18T12:57:01.155Z",
"expiryTime": "2025-07-18T12:57:01.155Z"
}
]
}